GDB (xrefs)

Public Attributes | List of all members
packet_config Struct Reference

## Public Attributes
const char * | name
const char * | title
enum auto_boolean | detect
enum packet_support | support

## Detailed Description

Definition at line 1197 of file remote.c.

## Member Data Documentation

## ◆ detect

enum auto_boolean packet_config::detect

Definition at line 1207 of file remote.c.

Referenced by add_packet_config_cmd(), init_all_packet_configs(), packet_config_support(), packet_ok(), packet_set_cmd_state(), set_remote_protocol_Z_packet_cmd(), show_packet_config_cmd(), and show_remote_protocol_packet_cmd().

## ◆ name

const char* packet_config::name

Definition at line 1199 of file remote.c.

Referenced by add_packet_config_cmd(), btrace_sync_conf(), packet_ok(), remote_disable_btrace(), remote_enable_btrace(), and show_packet_config_cmd().

## ◆ support

enum packet_support packet_config::support

Definition at line 1210 of file remote.c.

Referenced by check_binary_download(), init_all_packet_configs(), packet_config_support(), packet_ok(), remote_start_remote(), and remote_supported_packet().

## ◆ title

const char* packet_config::title

Definition at line 1200 of file remote.c.

Referenced by add_packet_config_cmd(), and packet_ok().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/remote.c